package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag298;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT298Creator;

/**
 * @author huangmengyuan
 * @create 2023/3/1
 */
public class Tag77ECreator extends AbsTagCreate {
    private MT298Creator mt298Creator;
    public Tag77ECreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt298Creator = (MT298Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag77EValue = mt298Creator.getProprietaryMessage();
        mt298Creator.set("77E",tag77EValue);
    }
}
